"""Tools for Matplotlib

This package provides tools for tweaking plots generated with matplotlib.

Subpackages
===========
style
    Library of styles and functions for setting the style.
color
    Color choice and custom colors (e.g. parameter-based color choice).
layout
    Alter visual layout of plots (e.g. figure size, crossed spines).
special
    Specialty plotting functions (e.g. Hinton diagram).

Attributes
==========
config
    Dictionary of package configuration settings.

"""
from __future__ import absolute_import
from . import _config
config = _config.config


__version__ = '0.2.0'  # must be kept consistent with setup.py
